Name:           ocaml-sqlite3
Version:        1.6.1
Release:        %mkrel 4
Summary:        OCaml library for accessing SQLite3 databases
Group:          Development/Other
License:        MIT
URL:            http://www.ocaml.info/home/ocaml_sources.html#ocaml-sqlite3
Source0:        http://www.ocaml.info/ocaml_sources/ocaml-sqlite3-release-%{version}.tar.bz2
# curl http://hg.ocaml.info/release/ocaml-sqlite3/archive/release-%{version}.tar.bz2 > ocaml-sqlite3-release-%{version}.tar.bz2
Patch0:         ocaml-sqlite-debian-install-no-mktop.patch

BuildRequires:  ocaml >= 3.11.0
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  libsqlite3-devel
BuildRequires:  chrpath
Requires:  libsqlite3-devel
%rename ocaml-sqlite


%description
SQLite 3 database library wrapper for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
%rename ocaml-sqlite-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocaml-sqlite3-release-%{version}
%patch0 -p1

./configure --libdir=%{_libdir}

%build
make all
make docs

%check
pushd test
for f in test_db test_exec test_stmt test_fun; do
  ocamlopt -I .. str.cmxa sqlite3.cmxa $f.ml -o $f
  ./$f
done
popd

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so

%files
%doc COPYING
%dir %{_libdir}/ocaml/sqlite3
%{_libdir}/ocaml/sqlite3/META
%{_libdir}/ocaml/sqlite3/*.cma
%{_libdir}/ocaml/sqlite3/*.cmi
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc Changelog doc/ README.txt TODO
%{_libdir}/ocaml/sqlite3/*.a
%{_libdir}/ocaml/sqlite3/*.cmxa
%{_libdir}/ocaml/sqlite3/*.cmx
%{_libdir}/ocaml/sqlite3/*.mli


%changelog

* Sat Feb 18 2012 malo <malo> 1.6.1-4.mga2
+ Revision: 210487
+ rebuild (emptylog)

* Sat Feb 18 2012 malo <malo> 1.6.1-3.mga2
+ Revision: 210428
- fixing typo in obsoletes/provides

* Fri Feb 17 2012 malo <malo> 1.6.1-2.mga2
+ Revision: 210078
- replaces ocaml-sqlite
- missing requires

* Thu Jan 12 2012 blue_prawn <blue_prawn> 1.6.1-1.mga2
+ Revision: 195072
- This package comes from Mandriva where it was maintained by Florent Monnier and where the initial RPM release was made from the fedora rpm .spec file (revision 1.9) by Richard W.M. Jones

